Bug 147808 - [new port] ports-mgmt/wanted-ports
Summary: [new port] ports-mgmt/wanted-ports
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rene Ladan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-12 11:20 UTC by Matthew Seaman
Modified: 2010-06-15 18:35 UTC (History)
0 users

See Also:


Attachments
wanted-ports.shar (25.14 KB, text/plain)
2010-06-12 11:20 UTC, Matthew Seaman
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Seaman 2010-06-12 11:20:00 UTC
A small port that exists solely to have dependencies on a user
modifiable list of other ports.  Use this port to mark what you
actually want to have installed, thus permitting you at a later date
to distinguish easily between the ports you want installed, and those
ports that are installed as dependencies.
Comment 1 Rene Ladan freebsd_committer 2010-06-13 19:54:49 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rene

Grab
Comment 2 dfilter service freebsd_committer 2010-06-15 18:28:14 UTC
rene        2010-06-15 17:28:05 UTC

  FreeBSD ports repository

  Modified files:
    ports-mgmt           Makefile 
  Added files:
    ports-mgmt/wanted-ports Makefile pkg-descr 
    ports-mgmt/wanted-ports/files wanted-ports.1.in 
                                  wanted-ports.in wanted-ports.pod 
  Log:
  A special meta-port to do nothing but register dependencies on those
  ports you specifically want to have installed.  The normal dependency
  checking in programs like pkg_delete(1) will prevent easy deletion of
  ports that other ports depend on.  Keeps egg off face.  Protects feet
  from being shot.
  
  PR:             ports/147808
  Submitted by:   Matthew Seaman <m.seaman at infracaninophile.co.uk>
  Approved by:    tabthorpe (mentor)
  
  Revision  Changes    Path
  1.36      +1 -0      ports/ports-mgmt/Makefile
  1.1       +47 -0     ports/ports-mgmt/wanted-ports/Makefile (new)
  1.1       +238 -0    ports/ports-mgmt/wanted-ports/files/wanted-ports.1.in (new)
  1.1       +370 -0    ports/ports-mgmt/wanted-ports/files/wanted-ports.in (new)
  1.1       +129 -0    ports/ports-mgmt/wanted-ports/files/wanted-ports.pod (new)
  1.1       +5 -0      ports/ports-mgmt/wanted-ports/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Rene Ladan freebsd_committer 2010-06-15 18:35:17 UTC
State Changed
From-To: open->closed

Committed, thanks